%readrab6sg3m.m   5/7/2011
% read Rabigh SBE SeaGauge #1162 upload data from Oct 2010 recovery 
% 5th deployment
% input *.tid raw upload file
% output jday pressure temperature to rab5sg3m300s.mat
%
% Seagauge time is time at beginning of period
% So central time =time+2.5 min

clear;clf
mooring='Rabigh Aramco Terminal';depth=4; %m
instdepth=3;%m
latitude=22+44.076/60;longitude=38+59.654/60;
SN='SG1162';


% first remove / and : from the *.tid file with Perl fixseagauge.plx
	perl fixseagauge.plx C:\WHOI\redsea\data\pressure\may11\uploads\sg1162_Rab_may11.tid
    
    load fixed.dat; z=fixed; clear fixed
    jdaysg=julian([z(:,4) z(:,2) z(:,3) z(:,5) z(:,6) z(:,7)]);
    prestotalpsi=z(:,8);temp=z(:,9); % pressure total in psi, temperature C
    prestotaldb=prestotalpsi*.6894757;% pressure total in db

% Check SBE 1162 instrument clock at recovery and fix here

% Check Temperature calib

% Remove data before and after the deployment
    st=julian([2010  10 16 10 54 00]);  %Rabigh deploy6
    et=julian([2011  5 14 8 41 00]);    %Rabigh deploy6
    n=find(jdaysg<st | jdaysg>et);jdaysg(n)=[];
    prestotalpsi(n)=[];temp(n)=[];prestotaldb(n)=[];
    pres=prestotaldb;
    
%   center the data at the middle of the 5 min time for pressure, % ref Seagauge manual page 31
    jday=jdaysg+2.5/(24*60); % 5 minute data
    
% get barometric pressure, first get file metall.mat
    %load C:\WHOI\redsea\data\met\metall
    %n=find(jdm<jdaysg(1) | jdm>jdaysg(length(jdaysg))+.001);jdm(n)=[];bpm(n)=[];
    %ssp=prestotaldb-bpm/100; % removes atmospheric pressure in db 
    %jdaytc=jday; % for temperature and salinity, a spot measurement

% Plot pressure
    [ax,h1,h2]=plotyy(jday,pres,jday,temp);
    h=title('Rabigh Bottom Pressure');set(h,'fontsize',12)
    set(ax(1),'ylim',[13.2 14.2],'ytick',[13.4 13.6 13.8 14 ],'xtickl',[]);32
    set(get(ax(1),'Ylabel'),'String','Pressure db','fontw','bold');
    set(ax(2),'Ycolor','r','fontsize',14,'xtickl',[]);set(h2,'color','r');
set(ax(2),'ylim',[24 32],'ytick',[24 26 28 30 32 ],'xtickl',[]);


    set(get(ax(2),'Ylabel'),'String','Temperature C');
    grid;gregaxd(jday,30);figure(gcf);
    %wysiwyg
    jdaysg6=jday;tempsg6=temp;pres6=pres;
    
    save rab6sg3m300s mooring jdaysg6 pres6 tempsg6  ...
		 depth instdepth latitude longitude SN 
    print -djpeg -r300 rab6sg3m300sec
